List event subscriptions
curl --request GET \
--url https://api.wavix.com/v3/10dlc/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wavix.com/v3/10dlc/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wavix.com/v3/10dlc/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"subscription_category": "brand",
"url": "https://webhook.url"
}
]{
"success": false,
"message": "Request failed. The feature is disabled for the account."
}10DLC
List event subscriptions
Returns the 10DLC event subscriptions for the authenticated account.
GET
/
v3
/
10dlc
/
subscriptions
List event subscriptions
Authorizations
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Response
Returns the list of 10DLC event subscriptions.
Category of 10DLC events to subscribe to. One of brand (brand status changes), campaign (campaign status changes), or number (number provisioning changes).
Example:
"brand"
Webhook URL that events in this category are delivered to.
Example:
"https://webhook.url"
Example:
[
{
"subscription_category": "brand",
"url": "https://webhook.url"
}
]
Was this page helpful?